Søg i Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

I need to use an older version of FireFox for the Mac (3.0) to be compatible with another program; how can I get it?

  • 3 svar
  • 26 har dette problem
  • 8 visninger
  • Seneste svar af macroair

more options

My company uses SalesForce CRM and recently changed wholesale to Macs. Unfortunately, certain functions in SalesForce are not compatible with the current version of Safari or any version of FireFox newer than 3.0 and we need to be able to use those functions. How can I download that version for the Mac?

Valgt løsning

The Install an older version of Firefox article shows how to find and install them.

Læs dette svar i sammenhæng 👍 0

Alle svar (3)

more options

Valgt løsning

The Install an older version of Firefox article shows how to find and install them.

more options

There is also a portable Firefox 3.0 version via this link:

http://prdownloads.sourceforge.net/osxportableapps/PortableFirefox_3.0_en-US-OSX_r4.0u.dmg?download

It can take some time before the download starts.